<template lang="html">
  <form class="m-form m-form--label-align-left- m-form--state-" id="m_form">
    <div class="row">
      <div class="m-portlet__body col-md-6">
					<div class="m-widget13">
						<div class="m-widget13__item">
							<span class="m-widget13__desc m--align-right">
                کود جنس :
							</span>
							<span class="m-widget13__text m-widget13__text-bolder">
                {{s_fields.inward.end_item_details.item_details_code}}
              </span>
						</div>
						<div class="m-widget13__item">
							<span class="m-widget13__desc m--align-right">
                جزییُات جنس :
							</span>
							<span class="m-widget13__text m-widget13__text-bolder">
                {{s_fields.inward.end_item_details.end_item_details_dr}}
							</span>
						</div>
						<div class="m-widget13__item">
							<span class="m-widget13__desc m--align-right">
								ادار عمومی :
							</span>
							<span class="m-widget13__text m-widget13__text-bolder">
                ریاست تکنالوژی معلوماتی
							</span>
						</div>
            <div class="m-widget13__item">
							<span class="m-widget13__desc m--align-right">
                اداره مربوطه :
							</span>
							<span class="m-widget13__text m-widget13__text-bolder">
                سیستم های معلوماتی
							</span>
						</div>
            <div class="m-widget13__item">
              <span class="m-widget13__desc m--align-right">
                اسم شخص
              </span>
              <span class="m-widget13__text m-widget13__text-bolder">
                جمال الدین
              </span>
            </div>
            <div class="m-widget13__item">
							<span class="m-widget13__desc m--align-right">
                ملاحضات :
							</span>
							<span class="m-widget13__text">

							</span>
						</div>
					</div>
				</div>
        <div class="m-portlet__body col-md-6">
  					<div class="m-widget13">

  						<div class="m-widget13__item">
  							<span class="m-widget13__desc m--align-right">
                  عنوان بست
  							</span>
  							<span class="m-widget13__text m-widget13__text-bolder">
                  مدیر تلیفون های سیسکو
  							</span>
  						</div>
  						<div class="m-widget13__item">
  							<span class="m-widget13__desc m--align-right">
                  تاریخ توزیع جنس
  							</span>
  							<span class="m-widget13__text m-widget13__text-bolder m--font-brand">
                  {{s_fields.allot_date}}
  							</span>
  						</div>

  						<div class="m-widget13__item">
  							<span class="m-widget13__desc m--align-right">
                  منظور شده توسط :
  							</span>
  							<span class="m-widget13__text m-widget13__text-bolder">
                  حاجی شیر جان
  							</span>
  						</div>
              <div class="m-widget13__item">
                <span class="m-widget13__desc m--align-right">
                  دلیل رد :
                </span>
                <span class="m-widget13__text m-widget13__text-bolder">

                </span>
              </div>

  					</div>
  				</div>
      </div>


    <div class="m-demo__preview  m-demo__preview--btn m--align-right mt-5">
  		<button type="button" class="btn m-btn--square  btn-primary">{{$t('global.confirm')}}</button>
  		<button type="button" class="btn m-btn--square  btn-danger" data-toggle="modal" data-target="#m_modal_1">{{$t('global.reject')}}</button>
      <router-link to="/items/allotment" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
  	</div>
    <!--begin::Modal-->
    <div class="modal fade" id="m_modal_1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="exampleModalLabel">{{$t('purchase.reject_title')}}</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="form-group m-form__group">
							<label for="exampleTextarea">{{$t('purchase.reject_reason')}}</label>
							<textarea class="form-control m-input" rows="5" ></textarea>
						</div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">{{$t('global.cancel')}}</button>
            <button type="button" class="btn btn-primary">{{$t('global.save')}}</button>
          </div>
        </div>
      </div>
    </div>
    <!--  End of the Modal -->
  </form>
</template>

<script>
import SubmitForm from '../../router/SubmitForm.js';
export default {
  mixins: [SubmitForm],
  data(){
      return {
          'url': 'api/allotment',
          s_fields: {
            inward: {},
            end_item_details: {}
          },
      }
  },
  mounted()
  {
    this.getDataForEdit();
  }
}
</script>
